
Summary:	PhotoFilmStrip creates movies
Summary(de):	PhotoFilmStrip erstellt Videoclips
Name:		photofilmstrip
Version:	3.0.2
Release:	%mkrel 3
License:	GPL
Group:		Video
URL:		http://www.photofilmstrip.org/1-1-Home.html
Source:		%{name}-%{version}.tar.xz
Source1:	photofilmstrip.png
Source2:	photofilmstrip.desktop
BuildRoot:	%{_tmppath}/%{name}-%{release}-%{version}-buildroot
Requires:	python >= 2.7
Requires:	python-pillow
Requires:	wxPython >= 3.0.2.0
Requires:	wxgtk >= 3.0
Requires:	mencoder
Obsoletes:	%name < %version

%description
PhotoFilmStrip creates movies out of your pictures in just 3 steps.
First select your photos, customize the motion path and render the
video. There are several output possibilities for VCD, SVCD, DVD
up to FULL-HD.

#german
%description -l de
PhotoFilmStrip erstellt Videoclips aus Bildern in nur 3 Schritten.
Bilder auswählen, Bewegungspfad bestimmen und Video erzeugen.
Es stehen Ausgabeformate für VCD, SVCD, DVD und FULL-HD zur Verfügung.


%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root $RPM_BUILD_ROOT

#Menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/applications/

#add the docs
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}
#cp -r doc/photofilmstrip/*  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

find $RPM_BUILD_ROOT -type d -exec chmod 755 {} \;
find $RPM_BUILD_ROOT -type f -exec chmod 644 {} \;

#Fix permissions
chmod 0755 $RPM_BUILD_ROOT/%{_bindir}/*

#Install png icon
rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.xpm
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files 
%defattr(-,root,root)
%{_datadir}/doc/%{name}
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{python_sitelib}/photofilmstrip
%{python_sitelib}/photofilmstrip-*


%changelog
* Thu May 16 2019 tex - 3.0.2-3pclos2019
- rebuild against updates

* Mon Sep 18 2017 bb2 <bb2> - 3.0.2-2pclos2017
- rebuild against updates

* Sat Apr 08 2017 bb2 <bb2> - 3.0.2-1pclos2017
- new version

* Thu Feb 23 2017 bb2 <bb2> - 3.0.1-1pclos2017
- new version

* Wed Aug 31 2016 bb <bb> 2.1.0-1pclos2016
- update

